Why is my browser not supported?

We’re using the latest technologies at Land Insight, so we need you to stay up-to-date too. 

In April 2017 we upgraded our maps to be faster, but that meant dropping support for some old browsers. 

If you are responsible for upgrading the software on your machine, we'd recommend installing the latest version of Google Chrome or Firefox. If someone else in your company is responsible for your browser, please contact them to help upgrade or change browser. 

Which browsers do we support?

Safari - latest and last major version
Chrome - latest and last major version
Firefox - latest and last major version
Microsoft Edge - latest and last major version
Internet Explorer 11+

Other browsers may work, but we cannot guarantee all features will be working. 

Which browsers don't we support?

Internet Explorer 10 and below.

Older browsers that don't support Web GL


Where can I learn more about my browser version?

See What browser am I using?

Have more questions? Submit a request

0 Comments

Article is closed for comments.